import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddPaymentDateBankColumnAtTransaction1725962197762
  implements MigrationInterface
{
  name = 'AddPaymentDateBankColumnAtTransaction1725962197762';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "transactions" ADD "payment_date_bank" date`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "transactions" DROP COLUMN "payment_date_bank"`,
    );
  }
}
